Bullet Collision Detection & Physics Library: Bullet::btContactSolverInfoFloatData Class Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Attributes | List of all members
Bullet::btContactSolverInfoFloatData Class Reference

`#include <bullet.h>`

## Public Attributes
float | m_tau
float | m_damping
float | m_friction
float | m_timeStep
float | m_restitution
float | m_maxErrorReduction
float | m_sor
float | m_erp
float | m_erp2
float | m_globalCfm
float | m_splitImpulsePenetrationThreshold
float | m_splitImpulseTurnErp
float | m_linearSlop
float | m_warmstartingFactor
float | m_articulatedWarmstartingFactor
float | m_maxGyroscopicForce
float | m_singleAxisRollingFrictionThreshold
int | m_numIterations
int | m_solverMode
int | m_restingContactRestitutionThreshold
int | m_minimumSolverBatchSize
int | m_splitImpulse

## Detailed Description

Definition at line 738 of file bullet.h.

## Member Data Documentation

## ◆ m_articulatedWarmstartingFactor

float Bullet::btContactSolverInfoFloatData::m_articulatedWarmstartingFactor

Definition at line 755 of file bullet.h.

## ◆ m_damping

float Bullet::btContactSolverInfoFloatData::m_damping

Definition at line 742 of file bullet.h.

## ◆ m_erp

float Bullet::btContactSolverInfoFloatData::m_erp

Definition at line 748 of file bullet.h.

## ◆ m_erp2

float Bullet::btContactSolverInfoFloatData::m_erp2

Definition at line 749 of file bullet.h.

## ◆ m_friction

float Bullet::btContactSolverInfoFloatData::m_friction

Definition at line 743 of file bullet.h.

## ◆ m_globalCfm

float Bullet::btContactSolverInfoFloatData::m_globalCfm

Definition at line 750 of file bullet.h.

## ◆ m_linearSlop

float Bullet::btContactSolverInfoFloatData::m_linearSlop

Definition at line 753 of file bullet.h.

## ◆ m_maxErrorReduction

float Bullet::btContactSolverInfoFloatData::m_maxErrorReduction

Definition at line 746 of file bullet.h.

## ◆ m_maxGyroscopicForce

float Bullet::btContactSolverInfoFloatData::m_maxGyroscopicForce

Definition at line 756 of file bullet.h.

## ◆ m_minimumSolverBatchSize

int Bullet::btContactSolverInfoFloatData::m_minimumSolverBatchSize

Definition at line 761 of file bullet.h.

## ◆ m_numIterations

int Bullet::btContactSolverInfoFloatData::m_numIterations

Definition at line 758 of file bullet.h.

## ◆ m_restingContactRestitutionThreshold

int Bullet::btContactSolverInfoFloatData::m_restingContactRestitutionThreshold

Definition at line 760 of file bullet.h.

## ◆ m_restitution

float Bullet::btContactSolverInfoFloatData::m_restitution

Definition at line 745 of file bullet.h.

## ◆ m_singleAxisRollingFrictionThreshold

float Bullet::btContactSolverInfoFloatData::m_singleAxisRollingFrictionThreshold

Definition at line 757 of file bullet.h.

## ◆ m_solverMode

int Bullet::btContactSolverInfoFloatData::m_solverMode

Definition at line 759 of file bullet.h.

## ◆ m_sor

float Bullet::btContactSolverInfoFloatData::m_sor

Definition at line 747 of file bullet.h.

## ◆ m_splitImpulse

int Bullet::btContactSolverInfoFloatData::m_splitImpulse

Definition at line 762 of file bullet.h.

## ◆ m_splitImpulsePenetrationThreshold

float Bullet::btContactSolverInfoFloatData::m_splitImpulsePenetrationThreshold

Definition at line 751 of file bullet.h.

## ◆ m_splitImpulseTurnErp

float Bullet::btContactSolverInfoFloatData::m_splitImpulseTurnErp

Definition at line 752 of file bullet.h.

## ◆ m_tau

float Bullet::btContactSolverInfoFloatData::m_tau

Definition at line 741 of file bullet.h.

## ◆ m_timeStep

float Bullet::btContactSolverInfoFloatData::m_timeStep

Definition at line 744 of file bullet.h.

## ◆ m_warmstartingFactor

float Bullet::btContactSolverInfoFloatData::m_warmstartingFactor

Definition at line 754 of file bullet.h.

The documentation for this class was generated from the following file:

- bullet.h